<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Links List</title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            background-color: #f0f2f5;
            color: #333;
            padding: 0;
            margin: 0;
            display: flex;
            justify-content: center;
            align-items: flex-start;
            min-height: 100vh;
            box-sizing: border-box;
        }
        .container {
            background: #fff;
            border-radius: 8px;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
            padding: 40px 20px;
            max-width: 600px;
            width: 100%;
            margin: 40px 20px;
            box-sizing: border-box;
        }
        h1 {
            font-size: 28px;
            margin-bottom: 20px;
            text-align: center;
            color: #333;
            font-weight: 600;
        }
        details {
            margin-bottom: 10px;
            border-radius: 4px;
            background: #fafafa;
            border: 1px solid #ddd;
        }
        summary {
            cursor: pointer;
            padding: 10px;
            font-weight: bold;
            outline: none;
        }
        summary:hover {
            background: #e9e9e9;
        }
        ul {
            list-style-type: none;
            padding: 0 20px;
            margin: 0;
        }
        li {
            margin: 10px 0;
            padding: 15px;
            background: #f9f9f9;
            border-radius: 4px;
            transition: background 0.3s ease, transform 0.3s ease;
        }
        li:hover {
            background: #e9e9e9;
            transform: translateY(-2px);
        }
        a {
            text-decoration: none;
            color: #1a73e8;
            font-weight: bold;
            display: block;
        }
        a:hover {
            text-decoration: underline;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Links List</h1>
        <div id="accordions-container"></div>
    </div>

    <script>
        const jsonFileUrl = './links.json';

        fetch(jsonFileUrl)
            .then(response => {
                if (!response.ok) {
                    throw new Error('Network response was not ok');
                }
                return response.json();
            })
            .then(data => {
                const container = document.getElementById('accordions-container');
                
                data.categories.forEach(category => {
                    const detailsEl = document.createElement('details');
                    const summaryEl = document.createElement('summary');
                    summaryEl.textContent = category.name;

                    if (category.open === true) {
                        detailsEl.setAttribute('open', '');
                    }

                    const ulEl = document.createElement('ul');

                    category.links.forEach(link => {
                        const li = document.createElement('li');
                        const a = document.createElement('a');
                        a.href = link.url;
                        a.textContent = link.name;
                        a.target = '_blank';
                        li.appendChild(a);
                        ulEl.appendChild(li);
                    });

                    detailsEl.appendChild(summaryEl);
                    detailsEl.appendChild(ulEl);
                    container.appendChild(detailsEl);
                });
            })
            .catch(error => {
                console.error('Error fetching the JSON file:', error);
                const container = document.getElementById('accordions-container');
                container.innerHTML = '<p>Error loading links. Please try again later.</p>';
            });
    </script>
</body>
</html>
